<dialog aria-labelledby="fr-modal-shareContentModal-title"
        id="shareContentModal"
        class="fr-modal"
        role="dialog"
>
    <div class="fr-container fr-container--fluid fr-container-md">
        <div class="fr-grid-row fr-grid-row--center">
            <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
                <div class="fr-modal__body">
                    <div class="fr-modal__header">
                        <button class="fr-btn--close fr-btn" aria-controls="shareContentModal">
                            Fermer
                        </button>
                    </div>
                    <div class="fr-modal__content">
                        <h1 id="fr-modal-shareContentModal-title" class="fr-modal__title">
                            Partager ce contenu
                        </h1>
                        <div class="fr-tabs gn-modal-tabs">
                            <ul class="fr-tabs__list" role="tablist"
                                aria-label="[A modifier | nom du système d'onglet]">
                                <li role="presentation">
                                    <button id="tabpanel-share-link" class="fr-tabs__tab" tabindex="0" role="tab"
                                            aria-selected="true" aria-controls="tabpanel-share-link-panel">Partager
                                        un lien
                                    </button>
                                </li>
                                <li role="presentation">
                                    <button id="tabpanel-send-email" class="fr-tabs__tab" tabindex="-1" role="tab"
                                            aria-selected="false" aria-controls="tabpanel-send-email-panel">Envoyer
                                        par email
                                    </button>
                                </li>
                            </ul>

                            <div id="tabpanel-share-link-panel" class="fr-tabs__panel fr-tabs__panel--selected"
                                 role="tabpanel" aria-labelledby="tabpanel-share-link" tabindex="0">
                                    <div class="fr-input-group">
                                        <label class="fr-label" for="share-url">Lien pour acc&eacute;der au contenu</label>
                                        <span class="fr-hint-text">Ce lien donne un acc&egrave;s pour toute les personne qui l'utilise.</span>
                                        <input type="hidden" name="share-base-url" id="share-base-url" value="{{ domain }}/contenu/" />
                                        <div class="fr-input-wrap fr-input-wrap--addon fr-col-12 fr-my-3w">
                                            <input type="text" name="share-url" id="share-url" class="fr-input input-btn" />
                                            <button class="fr-btn copy-btn" type="button" id="copy-share-url" title="Copier dans le presse-papier">Copier</button>
                                        </div>
                                    </div>
                            </div>
                            <div id="tabpanel-send-email-panel" class="fr-tabs__panel" role="tabpanel"
                                 aria-labelledby="tabpanel-send-email" tabindex="0">
                                <form method="post" action="/action/share/content/mail" class="needs-validation" novalidate>
                                    <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}" />
                                    <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}" />
                                    <input type="hidden" name="current-url" value="{{ currentUrl }}" />
                                    <input type="hidden" name="share-content-id" value="" />
                                    <div class="fr-input-group">
                                        <label class="fr-label" for="share-email">Adresse email de(s) invit&eacute;(s)</label>
                                        <span class="fr-hint-text">Pour renseigner plusieurs adresses email, veuillez s&eacute;parer les adresses par une virgule.</span>
                                        <input class="fr-input" type="text" id="share-email" name="share-email" required />
                                    </div>
                                    <div class="fr-input-group">
                                        <label class="fr-label" for="share-email-message">Message pour le(s) invit&eacute;(s)</label>
                                        <textarea class="fr-input" type="text" id="share-email-message" name="share-email-message" rows="4" required></textarea>
                                    </div>
                                    <button class="fr-btn fr-icon-send-plane-fill fr-btn--icon-left" type="submit">
                                        Partager le contenu
                                    </button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</dialog>
